# $Revision: 1.3 $

import time

def harmonic(n):
    z = 0.0
    for i in xrange(1,n+1):
        z = z + 1.0 / i
        
    return z

def main():
    cstart = time.clock()
    
    numberOfLoops = 10
    for i in range(numberOfLoops):
        print "%f - %d" % (harmonic(1000000), i)
        
    cend = time.clock()
    
    print "%f seconds." % ((cend - cstart) / numberOfLoops)

if __name__ == "__main__":
    main()
